std::_Safe_tuple_element_impl< __i, _Tuple, _IsSafe >(3)

NAME
std::_Safe_tuple_element_impl< __i, _Tuple, _IsSafe > -

SYNOPSIS

Inherits std::tuple_element< __i, _Tuple >.

Detailed Description

  template<std::size_t __i, typename _Tuple, bool _IsSafe>struct std::_Safe_tuple_element_impl< __i, _Tuple, _IsSafe >
Implementation helper for _Safe_tuple_element. This primary template handles the case where it is safe to use tuple_element.

Definition at line 1033 of file functional.

Author

Generated automatically by Doxygen for libstdc++ from the source code.